lp:slackbot

Created by Markus Kanet on 2009-10-08 and last modified on 2015-02-20

This is a mirror of the development tree, maybe a bit more "unstable" then the sourceforge.net tree. There's no guarantee that this branch may compile fine anytime...

Get this branch:
bzr branch lp:slackbot
Only Markus Kanet can upload to this branch. If you are Markus Kanet please log in for upload directions.

Related bugs

Related blueprints

Branch information

Owner:
Markus Kanet
Project:
slackbot
Status:
Development

Recent revisions

568. By Markus Kanet <spacemail_at_gmx_dot_eu> on 2015-02-20

Build : 5.2.0-010
Changelog: Fri Feb 20 17:35:09 2015
+==================================================+
  ------------------------
  ** Updated buildtools **
  ------------------------
xap1 (X applications)
  -lives: Buildtool updated.
    Fixed typo in .config file for required packages.
    Applied changes to buildtool config file:
      -INCLUDE:<a-apps-mplayer>
      +INCLUDE:<x-apps-mplayer>
+--------------------+
++

567. By Markus Kanet <spacemail_at_gmx_dot_eu> on 2015-02-19

Build : 5.2.0-004
Changelog: Thu Feb 19 21:24:50 2015
+==================================================+
  ------------------------
  ** Updated buildtools **
  ------------------------
d (Development applications and libraries (Updates))
  -cmake upgraded to 3.1.3-1.
  ----
kde (KDE4 desktop environment (Updates))
  -kde-baseapps-4.14.3-1: Updated MD5 hash.
  ----
kde1 (KDE4 desktop applications (Updates))
  -networkmanagement: Buildtool updated.
    Applied changes to buildtool config file:
      -REQUIRED:NetworkManager
      +# Include Networkmanager and all required libraries.
      +INCLUDE:<libs-networkmanager>
  -skanlite: Buildtool updated.
    Applied changes to buildtool config file:
      +# Include Sane and all recommended apps/libraries.
      +INCLUDE:<x-apps-sane>
  ----
l1 (Miscellaneous libraries)
  -json-glib-1.0.2: New package, required for darktable-git.
    json-glib (a library for the JavaScript Object Notation)
    The JSON GLib package is a library providing serialization and
    deserialization support for the JavaScript Object Notation (JSON)
    format described by RFC 4627.
xap (X applications (Updates))
  -MPlayer upgraded to 1.1.1svn37373-1.
  -network-manager-applet upgraded to 0.9.10.1-1.
    This version now depends on GTK+3.
    Applied changes to buildtool:
    >>- --with-gtkver=2
    >>+ --without-bluetooth
    Applied changes to buildtool config file:
      -REQUIRED:NetworkManager
      +# Include Networkmanager and all required libraries.
      +INCLUDE:<libs-networkmanager>
      +# network-manager-0.9.10 depends on GTK+3 >= 3.4
      +# Slackware 14.1 ships with GTK+3-3.8, no need
      +# to install the most recent version... for now.
      +#INCLUDE:<libs-gtk+3>
  ----
xap1 (X applications)
  -darktable-git upgraded to 1.7git150219-1.
    Applied changes to buildtool config file:
      -# DarkTable >1.6 requires osm-gps-map
      +# darktable-git >= 1.7 requires osm-gps-map
      +
      +# darktable-git >= 1.7 requires json-glib
      +REQUIRED:json-glib
  -dvdrip: Buildtool updated.
    Applied changes to buildtool config file:
      -REQUIRED:ffmpeg
      +# Include ffmpeg and all optional libraries.
      +INCLUDE:<libmm-ffmpeg>
  -gimp-plugins-gmic: Buildtool updated.
    Applied changes to buildtool config file:
      -REQUIRED:ffmpeg
      +# Include ffmpeg and all optional libraries.
      +INCLUDE:<libmm-ffmpeg>
  -lives upgraded to 2.2.8-1.
    Removed upstream patch.
    Applied changes to buildtool config file:
      +# Include MPlayer and all optional libraries.
      +INCLUDE:<a-apps-mplayer>
      -REQUIRED:MPlayer
  -mkvtoolnix upgraded to 7.6.0-1.
  ---------------------------
  ** Updated include files **
  ---------------------------
  -x-apps-darktable.conf: Include file updated.
      +
      +# Required for darktable-git > 1.7
      ++json-glib
+--------------------+
++

566. By Markus Kanet <spacemail_at_gmx_dot_eu> on 2015-02-18

Build : 5.2.0-003
Changelog: Wed Feb 18 22:22:36 2015
+==================================================+
  ------------------------
  ** Updated buildtools **
  ------------------------
l1 (Miscellaneous libraries)
  -libxmi: Buildtool removed.
  ----
xap1 (X applications)
  -enblend-enfuse: Buildtool updated.
    Remove deprecated use of libxmi.
    Applied changes to buildtool config file:
      -REQUIRED:libxmi
  ---------------------------
  ** Updated include files **
  ---------------------------
  -x-apps-hugin.conf: Include file updated.
      -+libxmi
+--------------------+
++

565. By Markus Kanet <spacemail_at_gmx_dot_eu> on 2015-02-18

Build : 5.2.0-002
Changelog: Wed Feb 18 20:31:23 2015
+==================================================+
  ------------------------
  ** Updated buildtools **
  ------------------------
ap1 (Basic applications and libraries)
  -ink upgraded to 0.5.2-1.
+--------------------+
++

564. By Markus Kanet <spacemail_at_gmx_dot_eu> on 2015-02-18

Build : 5.2.0-001
Changelog: Wed Feb 18 18:48:57 2015
+==================================================+
Some major changes to the buildtool configuration
files and some new sorting of buildtools into new
groups.
Like for existing groups buildtools in group 'l'
are part of Slackware, buildtools in group 'l1' are
additional packages (note the '1' in the name):
-lgnome/lgnome1:
  Gnome related libraries (like glib2, gtk..) moved
  to here. This should make it easier to keep the
  buildchain fro GTK based applications up-to-date.
-lgfx/lgfx1:
  Graphic related libraries.
-lmm/lmm1:
  Multimedia related libraries.
-lperl/lpython:
  Perl/Python based libraries.
-themes:
  GTK-engines and icon-sets for GTK+.
-x2:
  Drivers for XOrg-server, moved from group 'x'.
Renamed the existing GROUP/INCLUDE which adds extra
buildtools when a group is selected for compilation
using the buildsystem. New name is GROUP/EXTRAS to
avould confusing with the /INCLUDES/include.conf
configuration files.
GROUP/EXTRAS file syntax has been updated to match
the syntax of the /INCLUDES/include.conf files:
  * Include a single package:
    +ffmpeg
  * Include content from libs-libsoup.conf:
    <libs-libsoup>
  * Include all buildtools from a group lgnome1:
    @lgnome1
  * Exclude a single package from a group:
    -glib2
Also the /INCLUDES/include.conf files can now be
used in the buildtool .config files to include
buildtools to the list of required packages. This
should make it easier to handle dependencies when
creating new buildtools. For example if a buildtool
requires ffmpeg this line will add ffmpeg and all
of its dependencies as required packages:
  INCLUDE:<libmm-ffmpeg>
See contents of template in /buildtools/z/default
for more details.
  ------------------------
  ** Updated buildtools **
  ------------------------
a1 (Core applications and libraries)
  -avahi: Buildtool updated.
    Enable PyGTK-UI by default.
    Applied changes to buildtool config file:
      +
      +# PyGTK is enabled for avahi, make
      +# sure pygtk and depending packages
      +# are installed and in sync with GTK+2.
      +INCLUDE:<libs-gtk+2-python>
  ----
ap1 (Basic applications and libraries)
  -ink: Buildtool updated.
    Applied changes to package description file:
  -popfile: Moved here from group 'popfile'.
  ----
gst0 (GStreamer multimedia framework 0.10 (Updates))
  -gst-ffmpeg: Buildtool updated.
    Enable default options.
  -gst-plugins-bad: Buildtool updated.
    Applied check for optional packages.
  -gst-plugins-base: Buildtool updated.
    Enable default options.
  -gst-plugins-good: Buildtool updated.
    Applied check for optional packages.
  -gst-plugins-ugly: Buildtool updated.
    Applied check for optional packages.
  ----
gst1 (GStreamer multimedia framework 1.x)
  -gst-plugins-bad1: Buildtool updated.
    Applied check for optional packages.
  -gst-plugins-base1: Buildtool updated.
    Enable default options.
  -gst-plugins-good1: Buildtool updated.
    Applied check for optional packages.
  -gst-plugins-ugly1: Buildtool updated.
    Applied check for optional packages.
  ----
kde (KDE4 desktop environment (Updates))
  -ffmpegthumbs: Buildtool updated.
    Applied changes to buildtool config file:
      -REQUIRED:ffmpeg
      +# Include ffmpeg and all optional libraries.
      +INCLUDE:<libmm-ffmpeg>
  ----
kde2 (Extra applications for the KDE4 desktop)
  -kffmpegthumbnailer: Buildtool updated.
    Applied changes to buildtool config file:
      -REQUIRED:ffmpeg
      +# Include ffmpeg and all optional libraries.
      +INCLUDE:<libmm-ffmpeg>
  ----
l (Miscellaneous libraries (Updates))
  -libsecret: Buildtool updated.
    Applied changes to buildtool config file:
      +# libsecret >=0.18 requires glib2 >= 2.38.
      +INCLUDE:<libs-glib2>
  -libsoup: Buildtool updated.
    Applied changes to buildtool config file:
      -REQUIRED:glib2
      -REQUIRED:glib-networking
      -REQUIRED:GConf
      -REQUIRED:libgnome-keyring
      +# libsoup >= 2.48 requires glib2 >= 2.38.
      +INCLUDE:<libs-glib2>
  ----
l1 (Miscellaneous libraries)
  -freerdp: Buildtool updated.
    Applied changes to buildtool:
    >>- -DWITH_PULSE=OFF
    >>+ -DWITH_PULSEAUDIO=OFF
    >>- -DWITH_GSTREAMER=ON
    >>- -DWITH_IPP=OFF
    Applied changes to buildtool config file:
      +# Include ffmpeg and all optional libraries.
      +INCLUDE:<libmm-ffmpeg>
  ----
lgfx (Miscellaneous graphic libraries (Updates))
  -babl: Moved here from group 'l'.
  -cairo: Moved here from group 'l'.
  -exiv2: Moved here from group 'l'.
  -freetype: Moved here from group 'l'.
  -fribidi: Moved here from group 'l'.
  -gegl: Moved here from group 'l'.
  -harfbuzz: Moved here from group 'l'.
  -lcms2: Moved here from group 'l'.
  -libcaca: Moved here from group 'l'.
  -libgphoto2: Moved here from group 'l'.
  -librsvg: Moved here from group 'l'.
  -pango: Moved here from group 'l'.
  -poppler: Moved here from group 'l'.
  -poppler-data: Moved here from group 'l'.
  ----
lgfx1 (Miscellaneous graphic libraries)
  -graphicsmagick: Moved here from group 'l1'.
  -imlib2: Moved here from group 'l1'.
  -liblensfun: Moved here from group 'l1'.
  -libpano13: Moved here from group 'l1'.
  -libpgf: Moved here from group 'l1'.
  -libraw: Moved here from group 'l1'.
  -libwebp: Moved here from group 'l1'.
  -openjpeg: Moved here from group 'l1'.
  -vigra: Moved here from group 'l1'.
  ----
lgnome (GNOME/Glib/GTK+ based libraries (Updates))
  -GConf: Moved here from group 'l'.
  -at-spi2-atk: Moved here from group 'l'.
  -at-spi2-core: Moved here from group 'l'.
  -atk: Moved here from group 'l'.
  -dbus-glib: Moved here from group 'l'.
  -dconf: Moved here from group 'l'.
  -gcr: Moved here from group 'l'.
  -gdk-pixbuf2: Moved here from group 'l'.
  -glib-networking: Moved here from group 'l'.
  -glib2: Moved here from group 'l'.
  -gnome-keyring: Moved here from group 'l'.
  -gobject-introspection: Moved here from group 'l'.
  -gsettings-desktop-schemas: Moved here from group 'l'.
  -gtk+2: Moved here from group 'l'.
  -gtk+3: Moved here from group 'l'.
  -gtk-engines: Moved here from group 'l1'.
  -gtkimageview: Moved here from group 'l1'.
  -gvfs: Moved here from group 'l'.
  -libcanberra: Moved here from group 'l'.
  -libgnome-keyring: Moved here from group 'l'.
  -libwnck: Moved here from group 'l'.
  -p11-kit: Moved here from group 'l'.
  -vala: Moved here from group 'l1'.
  ----
lgnome1 (GNOME/Glib/GTK+ based C++ bindings)
  -atkmm: Moved here from group 'l1'.
  -cairomm: Moved here from group 'l1'.
  -glibmm: Moved here from group 'l1'.
  -gtkmm: Moved here from group 'l1'.
  -libsigc++: Moved here from group 'l1'.
  -pangomm: Moved here from group 'l1'.
  ----
lmm (Miscellaneous multimedia libraries (Updates))
  -libdvdread: Moved here from group 'l'.
  -libmtp: Moved here from group 'l'.
  -libogg: Moved here from group 'l'.
  -liboggz: Moved here from group 'l'.
  -libtheora: Moved here from group 'l'.
  -libvorbis: Moved here from group 'l'.
  -loudmouth: Moved here from group 'l'.
  -taglib: Moved here from group 'l'.
  ----
lmm1 (Miscellaneous multimedia libraries)
  -avifile0.7: Moved here from group 'l1'.
  -chromaprint: Moved here from group 'l1'.
  -eyeD3: Moved here from group 'l1'.
  -faac: Moved here from group 'l1'.
  -faad2: Moved here from group 'l1'.
  -ffmpeg: Moved here from group 'l1'.
  -ffmpegthumbnailer: Moved here from group 'l1'.
  -freealut: Moved here from group 'l1'.
  -frei0r-plugins: Moved here from group 'l1'.
  -gavl: Moved here from group 'l1'.
  -id3lib: Moved here from group 'l1'.
  -jack: Moved here from group 'l1'.
  -lame: Moved here from group 'l1'.
  -liba52: Moved here from group 'l1'.
  -libav: Moved here from group 'l1'.
  -libdv: Moved here from group 'l1'.
  -libdvbpsi: Moved here from group 'l1'.
  -libdvdnav: Moved here from group 'l1'.
  -libebml: Moved here from group 'l1'.
  -libfame: Moved here from group 'l1'.
  -libkate: Moved here from group 'l1'.
  -libmatroska: Moved here from group 'l1'.
  -libmikmod: Moved here from group 'l1'.
  -libmpcdec: Moved here from group 'l1'.
  -libmpeg2: Moved here from group 'l1'.
  -libmusicbrainz2: Moved here from group 'l1'.
  -libmusicbrainz3: Moved here from group 'l1'.
  -libofa: Moved here from group 'l1'.
  -libquicktime: Moved here from group 'l1'.
  -libtunepimp: Moved here from group 'l1'.
  -libvpx: Moved here from group 'l1'.
  -lsdvd: Moved here from group 'l1'.
  -mjpegtools: Moved here from group 'l1'.
  -mlt: Moved here from group 'l1'.
  -openal: Moved here from group 'l1'.
  -opencv: Moved here from group 'l1'.
  -opus: Moved here from group 'l1'.
  -speex: Moved here from group 'l1'.
  -transcode: Moved here from group 'l1'.
  -twolame: Moved here from group 'l1'.
  -x264: Moved here from group 'l1'.
  -xvidcore: Moved here from group 'l1'.
  ----
lperl (PERL based libraries (Updates))
  -perl-AnyEvent: Moved here from group 'l1'.
  -perl-Cairo: Moved here from group 'l1'.
  -perl-Event: Moved here from group 'l1'.
  -perl-Event-ExecFlow: Moved here from group 'l1'.
  -perl-Event-RPC: Moved here from group 'l1'.
  -perl-EventLib: Moved here from group 'l1'.
  -perl-ExtUtils-Depends: Moved here from group 'l1'.
  -perl-ExtUtils-PkgConfig: Moved here from group 'l1'.
  -perl-Glib: Moved here from group 'l1'.
  -perl-Gtk+2: Moved here from group 'l1'.
  -perl-Gtk+2-Ex-FormFactory: Moved here from group 'l1'.
  -perl-HTMLTagset: Moved here from group 'popfile'.
  -perl-HTMLTemplate: Moved here from group 'popfile'.
  -perl-IOSocketSSL: Moved here from group 'popfile'.
  -perl-Image-ExifTool: Moved here from group 'l1'.
  -perl-Net-SSLeay: Moved here from group 'popfile'.
  -perl-Pango: Moved here from group 'l1'.
  -perl-SQLite: Moved here from group 'popfile'.
  -perl-TimeDate: Moved here from group 'popfile'.
  -perl-YAML: Moved here from group 'l1'.
  -perl-libintl: Moved here from group 'l1'.
  ----
lpython (Python based libraries (Updates))
  -Mako: Moved here from group 'l1'.
  -numpy: Moved here from group 'l1'.
  -pil: Moved here from group 'l'.
  -pycairo: Moved here from group 'l'.
  -pycups: Moved here from group 'l'.
  -pygobject2: Moved here from group 'l'.
  -pygobject3: Moved here from group 'l'.
  -pygtk: Moved here from group 'l'.
  -sip: Moved here from group 'l'.
  ----
themes (Desktop themes and icons (Updates))
  -adwaita-icon-theme: Moved here from group 'l'.
  -awoken-icon-theme: Moved here from group 'l1'.
  -gnome-icon-theme: Moved here from group 'l'.
  -gnome-icon-theme-extras: Moved here from group 'l'.
  -gnome-icon-theme-symbolic: Moved here from group 'l'.
  -gnome-themes-standard: Moved here from group 'l'.
  -gtk-theme-clearlooks-compact: Moved here from group 'l1'.
  -gtk-theme-legacy: Moved here from group 'l1'.
  -murrine: Moved here from group 'l1'.
  -tango-icon-theme: Moved here from group 'l'.
  -tango-icon-theme-extras: Moved here from group 'l'.
  ----
x2 (Drivers for the XOrg X-Server (Recommended))
  -xf86-input-acecad: Moved here from group 'x'.
  -xf86-input-aiptek: Moved here from group 'x'.
  -xf86-input-evdev: Moved here from group 'x'.
  -xf86-input-joystick: Moved here from group 'x'.
  -xf86-input-keyboard: Moved here from group 'x'.
  -xf86-input-libinput: Moved here from group 'x'.
  -xf86-input-mouse: Moved here from group 'x'.
  -xf86-input-penmount: Moved here from group 'x'.
  -xf86-input-synaptics: Moved here from group 'x'.
  -xf86-input-vmmouse: Moved here from group 'x'.
  -xf86-input-void: Moved here from group 'x'.
  -xf86-input-wacom: Moved here from group 'x'.
  -xf86-video-apm: Moved here from group 'x'.
  -xf86-video-ark: Moved here from group 'x'.
  -xf86-video-ast: Moved here from group 'x'.
  -xf86-video-ati: Moved here from group 'x'.
  -xf86-video-chips: Moved here from group 'x'.
  -xf86-video-cirrus: Moved here from group 'x'.
  -xf86-video-dummy: Moved here from group 'x'.
  -xf86-video-fbdev: Moved here from group 'x'.
  -xf86-video-freedreno: Moved here from group 'x'.
  -xf86-video-geode: Moved here from group 'x'.
  -xf86-video-glint: Moved here from group 'x'.
  -xf86-video-i128: Moved here from group 'x'.
  -xf86-video-i740: Moved here from group 'x'.
  -xf86-video-intel: Moved here from group 'x'.
  -xf86-video-mach64: Moved here from group 'x'.
  -xf86-video-mga: Moved here from group 'x'.
  -xf86-video-modesetting: Moved here from group 'x'.
  -xf86-video-neomagic: Moved here from group 'x'.
  -xf86-video-nouveau: Moved here from group 'x'.
  -xf86-video-nv: Moved here from group 'x'.
  -xf86-video-omap: Moved here from group 'x'.
  -xf86-video-openchrome: Moved here from group 'x'.
  -xf86-video-qxl: Moved here from group 'x'.
  -xf86-video-r128: Moved here from group 'x'.
  -xf86-video-rendition: Moved here from group 'x'.
  -xf86-video-s3: Moved here from group 'x'.
  -xf86-video-s3virge: Moved here from group 'x'.
  -xf86-video-savage: Moved here from group 'x'.
  -xf86-video-siliconmotion: Moved here from group 'x'.
  -xf86-video-sis: Moved here from group 'x'.
  -xf86-video-sisusb: Moved here from group 'x'.
  -xf86-video-tdfx: Moved here from group 'x'.
  -xf86-video-tga: Moved here from group 'x'.
  -xf86-video-trident: Moved here from group 'x'.
  -xf86-video-tseng: Moved here from group 'x'.
  -xf86-video-v4l: Moved here from group 'x'.
  -xf86-video-vesa: Moved here from group 'x'.
  -xf86-video-vmware: Moved here from group 'x'.
  -xf86-video-voodoo: Moved here from group 'x'.
  -xf86-video-xgi: Moved here from group 'x'.
  -xf86-video-xgixp: Moved here from group 'x'.
  ----
xap (X applications (Updates))
  -xine-lib: Buildtool updated.
    Applied changes to buildtool config file:
      +# Include ffmpeg and all optional libraries.
      +INCLUDE:<libmm-ffmpeg>
      -REQUIRED:ffmpeg
  ----
xap1 (X applications)
  -gsmartcontrol: Buildtool updated.
    Applied changes to buildtool config file:
      -REQUIRED:gtkmm
      +INCLUDE:<libs-gtk+2>
      +INCLUDE:<c++-bindings>
  -inkscape: Buildtool updated.
    Applied changes to buildtool config file:
      +INCLUDE:<libs-gtk+2>
      +INCLUDE:<c++-bindings>
      -REQUIRED:libsigc++
      -REQUIRED:atk
      -REQUIRED:atkmm
      -REQUIRED:cairo
      -REQUIRED:cairomm
      -REQUIRED:pango
      -REQUIRED:pangomm
      -REQUIRED:glib2
      -REQUIRED:glibmm
      -REQUIRED:gtk+2
      -REQUIRED:gtkmm
  -lives: Buildtool updated.
    Applied changes to buildtool config file:
      +# Include ffmpeg and all optional libraries.
      +INCLUDE:<libmm-ffmpeg>
      -REQUIRED:ffmpeg
  -mtink: Buildtool updated.
    Updated package description file.
  -vlc: Buildtool updated.
    Applied changes to buildtool config file:
      -REQUIRED:ffmpeg
      +# Include ffmpeg and all optional libraries.
      +INCLUDE:<libmm-ffmpeg>
  ----
xfce (XFCE desktop environment (Updates))
  -vte: Moved here from group 'l'.
xfce1 (XFCE related applications)
  -libburn: Moved here from group 'l1'.
  -libisofs: Moved here from group 'l1'.
  -xfce4-screenshooter: Buildtool updated.
    Applied changes to buildtool config file:
      -REQUIRED:libsoup
      +INCLUDE:<libs-libsoup>
  -xfce4-weather-plugin: Buildtool updated.
    Applied changes to buildtool config file:
      +INCLUDE:<libs-libsoup>
  ----
z (The default buildtool template)
  -default: Buildtool updated.
    Applied changes to buildtool config file:
      +# Add packages from 'include.conf' to list of
      +# required packages for this buildtool.
      +# Read /includes/README for details about the
      +# syntax of the 'include.conf' file.
      +# Example: Read content from /includes/include.conf
      +#INCLUDE:<include>
  ---------------------------
  ** Updated include files **
  ---------------------------
  Renamed all include.conf files to match applications,
  libraries or meta-package names.
  These config files can now also be included in buildtool
  configuration file '.config':
    INCLUDE:<libs-libsoup>
  This will add all packages specified in libs-libsoup.conf
  as required packages to buildtool when using the buildsystem
  to compile packages.
+--------------------+
++
Build : 5.2.0-001
Changelog: Wed Feb 18 18:32:09 2015
+==================================================+
  ---------------------------
  ** Updated system files **
  ---------------------------
  -SETUP.sh: Updated.
    * Support new groups of buildtools.
    * Support new .config option 'INCLUDE:<...>'.
    * Support new GROUP/EXTRAS file syntax.
    * Allow quick resume when using -add/-skip
      options from the command line.
    * Ask less questions when using quick-resume.
    * Rename some buildsystem options:
       Old: OPTION_INCLUDES_CONFIG
       New: OPTION_USE_INCLUDE_CONF_FILES
       Old: OPTION_SELECT_MAX_COMPILE_JOBS
       New: OPTION_SET_MAX_COMPILE_JOBS
    * Fix some descriptions in the buildsystem
      configuration file, mainly for ftp-mirrors.
  ---------------------------
  ** Updated system files **
  ---------------------------
  -slackbot.conf: Updated.
+--------------------+
++

563. By Markus Kanet <spacemail_at_gmx_dot_eu> on 2015-02-11

Build : 5.1.5-101
Changelog: Wed Feb 11 06:43:41 2015
+==================================================+
  ---------------------------
  ** Updated system files **
  ---------------------------
  -SETUP.sh: Updated.
    Fix path of new applied patches logfile.
+--------------------+
++

562. By Markus Kanet <spacemail_at_gmx_dot_eu> on 2015-02-11

Build : 5.1.5-100
Changelog: Wed Feb 11 06:23:34 2015
+==================================================+
  ------------------------
  ** Updated buildtools **
  ------------------------
x (XOrg X server (Updates))
  -xorg-server: Buildtool updated.
    Security fix for CVE-2015-0255 taken from
    git/upstream.
    Added patch files:
      xorg-server-1.15.2-CVE-2015-0255-1.patch
      xorg-server-1.15.2-CVE-2015-0255-2.patch
+--------------------+
++
Build : 5.1.5-100
Changelog: Wed Feb 11 06:23:34 2015
+==================================================+
  ---------------------------
  ** Updated system files **
  ---------------------------
  -SETUP.sh: Updated.
    Add support for logfile with applied patches.
  -functions: Updated.
    Add support for logfile with applied patches.
+--------------------+
++

561. By Markus Kanet <spacemail_at_gmx_dot_eu> on 2015-02-09

Build : 5.1.5-030
Changelog: Mon Feb 9 21:44:17 2015
+==================================================+
New packages:
-sane-backends/-frontends (replaces sane package).
-pil/hplip (depends on sane and should be recompiled)
-xsane (depends on sane and should be recompiled)
Packages added to the buildtools because of libphoto2
changed library version and sane was linked against
an older API of libgphoto2.

!! WARNING !!
There might be some more packages left that are still
linked against the original Slackware version of
libgphoto2. If you do not plan to use the buildsystem
to upgrade everything then you should not update the
libgphoto2 package (add it to the blacklist might be
a good idea...)

Removed packages:
-libmowgli: Required by audacious previous to 3.2.
Since libmcs was also only required by audacious this
package will also be removed when upgrading audacious
using the buildsystem.

Updated functions file:
The core functions file got some minor updates, all
packages seem to compile fine with the changes so this
should not break anything.
  ------------------------
  ** Updated buildtools **
  ------------------------
ap (Basic applications and libraries (Updates))
  -hplip-3.15.2: New package.
    hplip (HP print/scan/fax support)
    HPLIP is an HP developed solution for printing, scanning, and faxing
    with HP inkjet and laser based printers in Linux. The HPLIP project
    provides printing support for more than 1400 HP printer models,
    including Deskjet, Officejet, Photosmart, PSC (Print Scan Copy),
    Business Inkjet, LaserJet, and LaserJet MFP.
    For more information, see: http://hplipopensource.com
ap1 (Basic applications and libraries)
  -unrar upgraded to 5.2.5-1.
  ----
d (Development applications and libraries (Updates))
  -llvm: Buildtool updated.
    Remove code for apply outdated patches.
  ----
d1 (Development applications and libraries)
  -lua: Buildtool updated.
    Applied changes to buildtool:
    Use buildtool path for pkgconfig.
  ----
kde (KDE4 desktop environment (Updates))
  -libksane: Buildtool updated.
    Applied changes to buildtool config file:
      +REQUIRED:sane-backends
  ----
kde2 (Extra applications for the KDE4 desktop)
  -phonon-gstreamer upgraded to 4.8.2-1.
  -phonon-mplayer upgraded to 0.1git120713-1.
    Applied changes to URL for downloading sources.
    Applied changes to buildtool config file:
      +REQUIRED:MPlayer
  -smb4k upgraded to 1.1.4-1.
  ----
l (Miscellaneous libraries (Updates))
  -harfbuzz upgraded to 0.9.38-1.
  -libevent upgraded to 2.0.22-1.
  -libgphoto2: Buildtool updated.
    Applied changes to buildtool config file:
      +REBUILD:sane-backends
  -pil-1.1.7: New package.
    pil (Python Imaging Library)
    The Python Imaging Library (PIL) adds image processing capabilities
    to your Python environment. This library provides extensive file
    format support, an efficient internal representation, and powerful
    image processing capabilities.
    PIL is used by the scanning component of HPLIP.
    PIL homepage: http://www.pythonware.com/products/pil/
  ----
l1 (Miscellaneous libraries)
  -xulrunner: Buildtool updated.
    Applied changes to buildtool:
    Use buildtool path for pkgconfig.
  ----
qt4 (QT4 libraries)
  -PyQt: Buildtool updated.
    Remove unused comments from end of the script.
  -qt: Buildtool updated.
    Applied changes to buildtool:
    Use buildtool path for pkgconfig.
  ----
x (XOrg X server (Updates))
  -libinput upgraded to 0.10.0-1.
  -libpciaccess upgraded to 0.13.3-1.
  -mesa upgraded to 10.4.4-1.
    Applied changes to buildtool:
    Use buildtool path for pkgconfig.
  -mesa-demos upgraded to 8.2.0git150203-1.
    Applied changes to URL for downloading sources.
    Added extra file:
      get_git_info.sh
  -mesa-snapshot upgraded to 10.5git150207-1.
    Applied changes to buildtool:
    Use buildtool path for pkgconfig.
  -xbitmaps: Buildtool updated.
    Applied changes to buildtool:
    Use buildtool path for pkgconfig.
  ----
xap (X applications (Updates))
  -audacious: Buildtool updated.
    audacious no longer depends on libmowgli/libmcs.
    Both packages will be removed automatically since
    no other default Slackware package depends on it.
    Applied changes to buildtool config file:
      -REQUIRED:libmowgli
      +
      +# libmowgli/libmcs should be deprecated since
      +# audacious 3.2-alpha...
      +REPLACEPKG:libmowgli
      +REPLACEPKG:libmcs
  -sane-backends-1.0.24: New package.
    sane-backends (Scanner Access Now Easy)
    SANE is a universal scanner interface that provides standardized
    access to any raster image scanner hardware, such as flatbed
    scanners, hand-held scanners, video and still cameras, frame-
    grabbers, and other similar devices.
    This package contains the backends only.
  ----
xap1 (X applications)
  -darktable upgraded to 1.6.2-1.
    Applied changes to URL for downloading sources.
  -darktable-git upgraded to 1.7git150208-1.
  -lives: Buildtool updated.
    Applied changes to buildtool:
    Use buildtool path for pkgconfig.
  -luckybackup: Buildtool updated.
    Disable output from qmake.
  ----
z (The default buildtool template)
  -default: Buildtool updated.
    Applied changes to buildtool:
    -Remove unused RPATH code snippets.
    -Remove support for chrpath.
  ---------------------------
  ** Updated include files **
  ---------------------------
  -audacious.conf: Include file updated.
      -# Audacious now depends on GTK+3 so make
      -# sure GTK+3 is installed.
      +# Audacious may use GTK+3 for the GUI.
      -+libmowgli
  ----
  -hplip.conf: New include file.
      <sane>
      +pil
      +hplip
  ----
  -phonon-gstreamer.conf: New include file.
      # Build the gstreamer backend for phonon
      # which requires gstreamer to be installed.
      <gstreamer0>
      +phonon-gstreamer
  ----
  -phonon-mplayer.conf: New include file.
      # Build the MPlayer backend for phonon
      # which requires MPlayer to be installed.
      # Note: phonon-mplayer is deprecated.
      <mplayer>
      +phonon-mplayer
  ----
  -phonon-vlc.conf: New include file.
      # Build the VLC backend for phonon
      # which requires VLC to be installed.
      <vlc>
      +phonon-vlc
  ----
  -phonon.conf: Include file updated.
      -# Build the gstreamer backend for phonon
      -# which requires gstreamer to be installed.
      -<gstreamer0>
      -+phonon-gstreamer
      +# Inlcude the backends....
      +# Note: gstreamer is the default backend.
      +<phonon-gstreamer>
      -# Build the MPlayer backend for phonon
      -# which requires MPlayer to be installed.
      -#<mplayer>
      -+phonon-mplayer
      +# Note: Enable vlc-backend if needed.
      +# <phonon-vlc>
      -# Build the VLC backend for phonon
      -# which requires VLC to be installed.
      -#<vlc>
      -#+phonon-vlc
      +# Note: phonon-mplayer is deprecated.
      +# <phonon-mplayer>
  ----
  -sane.conf: New include file.
      <gphoto2>
      +sane-backends
      +sane-frontends
      +xsane
+--------------------+
++
Build : 5.1.5-030
Changelog: Mon Feb 9 21:47:03 2015
+==================================================+
  ---------------------------
  ** Updated system files **
  ---------------------------
  -SETUP.sh: Updated.
    Replace some old buildtool definitions.
    Remove unsupported architectures.
  ----
  -functions: Updated.
    Code cleanup:
     -Replace usage of $(command) with `command`.
     -Remove unsupported architectures.
     -Remove support for chrpath.
     -Define system-wide build target.
+--------------------+
++

560. By Markus Kanet <spacemail_at_gmx_dot_eu> on 2015-02-06

Build : 5.1.5-004
Changelog: Fri Feb 6 16:53:59 2015
+==================================================+
  ------------------------
  ** Updated buildtools **
  ------------------------
ap1 (Basic applications and libraries)
  -dvdauthor upgraded to 0.7.1git150106-1.
    Updated extra file:
      get_git_info.sh
  ----
d (Development applications and libraries (Updates))
  -cmake upgraded to 3.1.2-1.
  ----
kde1 (KDE4 desktop applications (Updates))
  -k3b upgraded to 2.0.3git150119-1.
    Added extra file:
      get_git_info.sh
  -kaudiocreator upgraded to 1.3git150119-1.
    Added extra file:
      get_git_info.sh
  -kdevelop upgraded to 4.7.1-1.
  -kdevelop-pg-qt upgraded to 1.0.0git140907-1.
  -kdevelop-php upgraded to 1.7.1-1.
  -kdevelop-php-docs upgraded to 1.7.1-1.
  -kdevplatform upgraded to 1.7.1-1.
  -kio-mtp upgraded to 0.75git141221-1.
    Updated extra file:
      get_git_info.sh
  -kplayer upgraded to 0.7.2git141219-1.
    Added extra file:
      get_git_info.sh
  ----
kde2 (Extra applications for the KDE4 desktop)
  -kwebkitpart upgraded to 1.3.4git141113-1.
    Updated extra file:
      get_git_info.sh
  ----
kdedeps (KDE4 dependencies (Updates))
  -libssh upgraded to 0.6.4-1.
  ----
l (Miscellaneous libraries (Updates))
  -gtk+3 upgraded to 3.14.8-1.
  ----
l1 (Miscellaneous libraries)
  -ffmpegthumbnailer: Buildtool updated.
    Updated extra file:
      get_rev_info.sh
  -opencv upgraded to 2.4.10-1.
  -perl-AnyEvent upgraded to 7.08-1.
  -perl-Event-RPC upgraded to 1.05-1.
  -perl-ExtUtils-Depends upgraded to 0.404-1.
  -perl-Glib upgraded to 1.310-1.
  -perl-Gtk+2 upgraded to 1.2495-1.
  -perl-Image-ExifTool upgraded to 9.82-1.
  ----
n (Networking libraries (Updates))
  -ModemManager upgraded to 1.4.2-1.
  -NetworkManager upgraded to 0.9.10.1-1.
  -libmbim upgraded to 1.10.2-1.
    Applied changes to URL for downloading sources.
  -libqmi upgraded to 1.10.6-1.
  ----
x (XOrg X server (Updates))
  -glamor: Buildtool updated.
    Updated extra file:
      get_git_info.sh
  -mesa-snapshot: Buildtool updated.
    Updated extra file:
      get_git_info.sh
  -xf86-video-xgi: Buildtool updated.
    Updated extra file:
      get_git_info.sh
  ----
xap (X applications (Updates))
  -MPlayer-1.1.1svn37370-1: Updated MD5 hash.
    Updated extra file:
      get_rev_info.sh
  ----
xap1 (X applications)
  -darktable-git upgraded to 1.7git150206-1.
    Updated extra file:
      get_git_info.sh
  -gimp-plugins-lensfun: Buildtool updated.
    Updated extra file:
      get_git_info.sh
+--------------------+
++

559. By Markus Kanet <spacemail_at_gmx_dot_eu> on 2015-02-06

Build : 5.1.5-003
Changelog: Fri Feb 6 08:28:48 2015
+==================================================+
  ------------------------
  ** Updated buildtools **
  ------------------------
l (Miscellaneous libraries (Updates))
  -libdvdread upgraded to 5.0.2-1.
    Applied changes to URL for downloading sources.
  ----
l1 (Miscellaneous libraries)
  -libdvdnav upgraded to 5.0.3-1.
    Applied changes to URL for downloading sources.
  ----
xap (X applications (Updates))
  -MPlayer upgraded to 1.1.1svn37370-1.
    Add support for custom input.conf.
    Switch back to multi-thread mode when using make and
    add single-thread as fallback mode.
+--------------------+
++

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
This branch contains Public information 
Everyone can see this information.

Subscribers